<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateEventoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'semestre' => 'required',
            'fechaI' => 'required',
            'fechaT' => 'required',
            'act' => 'required|min:1'
        ];
    }

    public function messages(){
        return [
          'semestre.required' => 'El semestre es obligatorio.',
          'fechaI.required' => 'La fecha de inicio es obligatoria.',
          'fechaT.required' => 'La fecha de término es obligatoria.',
          'act.min' => 'Elige una actividad, es obligatorio.'
        ];

    }
}
